Package ru.bitel.bgbilling.plugins.helpdesk.common.service

# Interface HelpdeskService

@MTOM(enabled=true) public interface HelpdeskService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `categoryDelete(int categoryId)`
  `HelpDeskLinks`
  `categoryGroupLinks(int groupId)`
  `List<IdTitle>`
  `categoryGroupList()`
  `SearchResult<IdTitle>`
  `categoryList(Page page)`
  `MapHolder<IdTitle,List<IdTitle>>`
  `categoryMapForContract(int contractId)`
  `List<String>`
  `categorySubcategoryIdsForGroup(int contractId)`
  `void`
  `categoryToGroupAdd(int groupId, List<Integer> categoryIds)`
  `void`
  `categoryToGroupDelete(int groupId, List<Integer> categoryIds)`
  `void`
  `categoryUpdate(int categoryId, String title)`
  `void`
  `contractGroupUpdate(int contractId, int groupId)`
  `ru.bitel.bgbilling.plugins.helpdesk.common.dto.ContractModeDTO`
  `contractModeGet(int contractId)`
  `void`
  `contractModeUpdate(int contractId, String currentModeId)`
  `void`
  `fileDelete(int fileId)`
  `ru.bitel.bgbilling.common.dto.FileDto`
  `fileDownload(int fileId, int contractId)`
  FileDownload("id")
  `FileInfo`
  `fileUpload(String topicId, String uuid, String filename, long size, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> fileData)`
  было FileUpload("id","comment","filename","filedata","size")
  `String`
  `getContractCurrentMode(int contractId)`
  `List<FileInfo>`
  `getMessageFileList(int messageId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getModeList()`
  `MapHolder<String,String>`
  `getParams(int contractId)`
  `SearchResult<IdTitle>`
  `groupList(boolean groupForDirectory, int contractId, Page page)`
  `void`
  `groupUpdate(int groupId, String title)`
  `List<IdTitle>`
  `managerList()`
  `void`
  `messageAdminReadSet(int messageId)`
  `void`
  `messageCommentUpdate(int messageId, String comment)`
  `String`
  `messageFromUserUpdate(Message message, List<Integer> fileIds)`
  `Message`
  `messageGet(int contractId, int topicId, int messageId)`
  `int`
  `messageNewCount()`
  Количество новых сообщений (всего)
  `int`
  `messageNextId(int topicId, int id)`
  `int`
  `messagePrevId(int topicId, int id)`
  `int`
  `messageUpdate(Message message)`
  `SearchResult<Package>`
  `packageList(Boolean status, Page page)`
  `int`
  `reserveStatusGet(int topicId)`
  Получение резервного статуса у топика.
  `int`
  `reservStatusUpdate(int topicId, int reserveStatus)`
  Обновление статуса резервирования у топика.
  `SearchResult<Message>`
  `searchTopicMessages(int contractId, int topicId, String[] sort, Page page)`
  `void`
  `setParams(int contractId, MapHolder<String,String> properties)`
  `void`
  `subcategoryDelete(int subcategoryId)`
  `SearchResult<IdTitle>`
  `subcategoryList(Page page)`
  `void`
  `subcategoryToCategoryAdd(int groupId, Set<Integer> categoriesIds, Set<Integer> subCategoriesIds)`
  `void`
  `subcategoryToCategoryDelete(int groupId, Set<Integer> categoriesIds, Set<Integer> subCategoriesIds)`
  `void`
  `subcategoryUpdate(int subcategoryId, String title)`
  `void`
  `topicAutocloseUpdate(int topicId, boolean autoclose)`
  `void`
  `topicBindSet(int topicId, String userId)`
  привязка топика к какому то юзеру (или отвязка соответсвенно от всех или к текущему привязка)
  `void`
  `topicCategorySubcategoryUpdate(int topicId, int categoryId, int subcategoryId)`
  `int`
  `topicCostUpdate(int topicId, BigDecimal sum)`
  Установка, обновление стоимости топика.
  `int[]`
  `topicCreate(Topic topic, Message message)`
  `Topic`
  `topicGet(int contractId, int topicId, boolean loadMessages)`
  `Result<Topic>`
  `topicList(int contractId, int id, Boolean history, Date dateFrom, Date dateTo, String title, String message, Page page)`
  `void`
  `topicManagerChange(int topicId, int managerId, String comment)`
  `List<ChangeManager>`
  `topicManagerChangeList(int topicId)`
  `void`
  `topicMarkReadByCustomer(int contractId, int id)`
  `int`
  `topicNotificationUpdate(int topicId, int mode, String value)`
  `void`
  `topicPackageStateSet(int contractId, int topicId, Boolean include)`
  `SearchResult<Topic>`
  `topicSearch(int topicId, String title, String message, int status, String userSelect, boolean onlynew, boolean closed, Period period, Page page)`
  `void`
  `topicStateUpdate(int topicId, boolean state, boolean packageMode)`
  `List<IdTitle>`
  `topicStatusList()`
  `void`
  `topicStatusUpdate(int topicId, int status)`
  `void`
  `topicUpdateState(int contractId, int id, boolean state)`

- ## Method Details

  - ### reservStatusUpdate

    int reservStatusUpdate(int topicId, int reserveStatus) throws ru.bitel.bgbilling.common.BGException
    Обновление статуса резервирования у топика. Если устанавлиемый статус "BLOCKED", но средств на счету не достаточно, то устанавливается статус IN_WHAIT. И уже в дольнейшем будет произведена попытка заболокировать требуемую сумму.
    Parameters:
      `topicId` - - код топика.
      `reserveStatus` - - устанавливаемый статуc. смотреть значения в `HelpDeskConstants`;
    Returns:
      - кол-во изменненых строк в БД.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### reserveStatusGet

    int reserveStatusGet(int topicId) throws ru.bitel.bgbilling.common.BGException
    Получение резервного статуса у топика.
    Parameters:
      `topicId` - - ид топика.
    Returns:
      - статусы из `HelpDeskConstants`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicCostUpdate

    int topicCostUpdate(int topicId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Установка, обновление стоимости топика. При дальнейшем переводе на сервайсы заменить обычным обновлением топикаinvalid input: '<'/>.
    Parameters:
      `topicId` - - ид топика.
      `sum` - - устанавливамя стоимость.
    Returns:
      - кол-во измененных строк в БД.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicNotificationUpdate

    int topicNotificationUpdate(int topicId, int mode, String value) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### fileDelete

    void fileDelete(int fileId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### fileDownload

    ru.bitel.bgbilling.common.dto.FileDto fileDownload(int fileId, int contractId) throws ru.bitel.bgbilling.common.BGException
    FileDownload("id")
    Parameters:
      `fileId` - ид файла
      `cid` -
    Returns:
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGException`

  - ### fileUpload

    FileInfo fileUpload(String topicId, String uuid, String filename, long size, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> fileData) throws ru.bitel.bgbilling.common.BGException
    было FileUpload("id","comment","filename","filedata","size")
    Parameters:
      `topicId` -
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryMapForContract

    MapHolder<IdTitle,List<IdTitle>> categoryMapForContract(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicCreate

    int[] topicCreate(Topic topic, Message message) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicGet

    Topic topicGet(int contractId, int topicId, boolean loadMessages) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicSearch

    SearchResult<Topic> topicSearch(int topicId, String title, String message, int status, String userSelect, boolean onlynew, boolean closed, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicList

    Result<Topic> topicList(int contractId, int id, Boolean history, Date dateFrom, Date dateTo, String title, String message, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicMarkReadByCustomer

    void topicMarkReadByCustomer(int contractId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicUpdateState

    void topicUpdateState(int contractId, int id, boolean state) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageUpdate

    int messageUpdate(Message message) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageFromUserUpdate

    String messageFromUserUpdate(Message message, List<Integer> fileIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messagePrevId

    int messagePrevId(int topicId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageNextId

    int messageNextId(int topicId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageNewCount

    int messageNewCount() throws ru.bitel.bgbilling.common.BGException
    Количество новых сообщений (всего)
    Returns:
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### topicStatusList

    List<IdTitle> topicStatusList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryList

    SearchResult<IdTitle> categoryList(Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryUpdate

    void categoryUpdate(int categoryId, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryDelete

    void categoryDelete(int categoryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryToGroupAdd

    void categoryToGroupAdd(int groupId, List<Integer> categoryIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryToGroupDelete

    void categoryToGroupDelete(int groupId, List<Integer> categoryIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryGroupList

    List<IdTitle> categoryGroupList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categoryGroupLinks

    HelpDeskLinks categoryGroupLinks(int groupId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subcategoryList

    SearchResult<IdTitle> subcategoryList(Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subcategoryToCategoryAdd

    void subcategoryToCategoryAdd(int groupId, Set<Integer> categoriesIds, Set<Integer> subCategoriesIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subcategoryToCategoryDelete

    void subcategoryToCategoryDelete(int groupId, Set<Integer> categoriesIds, Set<Integer> subCategoriesIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### categorySubcategoryIdsForGroup

    List<String> categorySubcategoryIdsForGroup(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### managerList

    List<IdTitle> managerList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicManagerChangeList

    List<ChangeManager> topicManagerChangeList(int topicId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicManagerChange

    void topicManagerChange(int topicId, int managerId, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicStatusUpdate

    void topicStatusUpdate(int topicId, int status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicStateUpdate

    void topicStateUpdate(int topicId, boolean state, boolean packageMode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicAutocloseUpdate

    void topicAutocloseUpdate(int topicId, boolean autoclose) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicCategorySubcategoryUpdate

    void topicCategorySubcategoryUpdate(int topicId, int categoryId, int subcategoryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicBindSet

    void topicBindSet(int topicId, String userId) throws ru.bitel.bgbilling.common.BGException
    привязка топика к какому то юзеру (или отвязка соответсвенно от всех или к текущему привязка)
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### topicPackageStateSet

    void topicPackageStateSet(int contractId, int topicId, Boolean include) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageCommentUpdate

    void messageCommentUpdate(int messageId, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageAdminReadSet

    void messageAdminReadSet(int messageId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractModeGet

    ru.bitel.bgbilling.plugins.helpdesk.common.dto.ContractModeDTO contractModeGet(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractModeUpdate

    void contractModeUpdate(int contractId, String currentModeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractGroupUpdate

    void contractGroupUpdate(int contractId, int groupId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractCurrentMode

    String getContractCurrentMode(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModeList

    List<ru.bitel.bgbilling.common.model.KeyValue> getModeList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParams

    MapHolder<String,String> getParams(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setParams

    void setParams(int contractId, MapHolder<String,String> properties) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### groupList

    SearchResult<IdTitle> groupList(boolean groupForDirectory, int contractId, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### groupUpdate

    void groupUpdate(int groupId, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subcategoryUpdate

    void subcategoryUpdate(int subcategoryId, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subcategoryDelete

    void subcategoryDelete(int subcategoryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### messageGet

    Message messageGet(int contractId, int topicId, int messageId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTopicMessages

    SearchResult<Message> searchTopicMessages(int contractId, int topicId, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageFileList

    List<FileInfo> getMessageFileList(int messageId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### packageList

    SearchResult<Package> packageList(Boolean status, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`